Name:           sugar-playgo
Version:        5
Release:        12%{?dist}
Summary:        Go for Sugar

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.laptop.org/go/PlayGo
Source0:        PlayGo-%{version}.tar.bz2
Source1:        %{name}-checkout.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{_id_u} -n)
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  sugar-toolkit

Requires:       sugar
Requires:       sugar-toolkit


%description
The PlayGo activity implements Go a strategic board game for two players. Go 
originated in ancient China, centuries before its earliest known references
in 5th century BC writing. It is mostly popular in East Asia but has nowadays
gained some popularity in the rest of the world as well. Go is noted for being
rich in strategic complexity despite its simple rules. 


%prep
%setup -q -n PlayGo-%{version}
rm -rf gnugo/gnugo
chmod -x infopanel.py


%build
python ./setup.py build


%install
rm -rf  %{buildroot}
python ./setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.laptop.PlayGo


%clean
rm -rf  %{buildroot}


%files -f org.laptop.PlayGo.lang
%defattr(-,root,root,-)
%doc NEWS README TODO gnugo/COPYING
%{sugaractivitydir}/PlayGo.activity/


%changelog
* Fri Mar  6 2015 Peter Robinson <pbrobinson@fedoraproject.org> 5-12
- Add Requires sugar-toolkit

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 5-5
- recompiling .py files against Python 2.7 (rhbz#623382)

* Mon Dec 14 2009 Peter Robinson <pbrobinson@gmail.com> - 5-4
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 539218

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Fabian Affolter <fabian@bernewireless.net> - 5-1
- Initial package for Fedora
